package jogo;

import java.awt.Color;
import java.awt.Graphics;

public class Inimigos extends Elementos {

    public Inimigos(int posx, int posy, Tela t, String img) {
        super(posx, posy, img);
        this.altura = 20;
        this.largura = 20;
        this.direcao = true;
    }

    public void desenhar(Graphics g) {
        g.drawImage(this.icone, this.posx, this.posy, this.jpTela);
    }

    public void atualizarCoord(Tela t) {

        int lin = 0;
        int col = 0;
        lin = posy / 20;
        col = posx / 20;

        if (this.direcao == true) {
            this.posy++;
            this.posx++;
            if (t.matriz[lin][col + 1] == 1) {
                this.direcao = false;
            }
        }
        
        if (this.direcao == false) {
            this.posy++;
            this.posx--;
            if (t.matriz[lin][col] == 1) {
                this.direcao = true;
            }
        }
    }

    public int getAltura() {
        return altura;
    }

    public int getLargura() {
        return largura;
    }

    @Override
    public void atualizarCoord() {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
