package jogo;

public class JogoPrincipal extends javax.swing.JFrame {

    private Tela jogo;
    public Teclado teclado;
   
    
    public JogoPrincipal() {
        initComponents();
        this.setLocationRelativeTo(null);
        teclado = new Teclado();
        this.jPtela.addKeyListener(teclado);
        
        
        // dando foco no botao
        this.jBiniciar.requestFocus();
        
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPplacar = new javax.swing.JPanel();
        jBiniciar = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jTFpontos = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jTFvidas = new javax.swing.JTextField();
        jPBcombustivel = new javax.swing.JProgressBar();
        jLabel3 = new javax.swing.JLabel();
        jPtela = new Tela(this);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPplacar.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jBiniciar.setText("Iniciar");
        jBiniciar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBiniciarActionPerformed(evt);
            }
        });

        jLabel1.setText("Pontuação:");

        jTFpontos.setEditable(false);
        jTFpontos.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jTFpontos.setText("0");
        jTFpontos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTFpontosActionPerformed(evt);
            }
        });

        jLabel2.setText("Vidas:");

        jTFvidas.setEditable(false);
        jTFvidas.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jTFvidas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTFvidasActionPerformed(evt);
            }
        });

        jPBcombustivel.setBackground(new java.awt.Color(249, 246, 245));
        jPBcombustivel.setForeground(new java.awt.Color(253, 157, 10));

        jLabel3.setText("Combustível:");

        javax.swing.GroupLayout jPplacarLayout = new javax.swing.GroupLayout(jPplacar);
        jPplacar.setLayout(jPplacarLayout);
        jPplacarLayout.setHorizontalGroup(
            jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPplacarLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jBiniciar)
                .addGap(147, 147, 147)
                .addGroup(jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1)
                    .addComponent(jLabel2))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jTFvidas)
                    .addComponent(jTFpontos, javax.swing.GroupLayout.PREFERRED_SIZE, 64, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPBcombustivel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addGap(43, 43, 43))
        );
        jPplacarLayout.setVerticalGroup(
            jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPplacarLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPplacarLayout.createSequentialGroup()
                        .addGroup(jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabel1)
                                .addComponent(jTFpontos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jBiniciar))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPplacarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(jTFvidas, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(jPplacarLayout.createSequentialGroup()
                        .addComponent(jLabel3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPBcombustivel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(47, Short.MAX_VALUE))
        );

        jPtela.setBorder(null);
        jPtela.setPreferredSize(new java.awt.Dimension(612, 494));

        javax.swing.GroupLayout jPtelaLayout = new javax.swing.GroupLayout(jPtela);
        jPtela.setLayout(jPtelaLayout);
        jPtelaLayout.setHorizontalGroup(
            jPtelaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 614, Short.MAX_VALUE)
        );
        jPtelaLayout.setVerticalGroup(
            jPtelaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 481, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPplacar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPtela, javax.swing.GroupLayout.DEFAULT_SIZE, 614, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jPtela, javax.swing.GroupLayout.DEFAULT_SIZE, 481, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPplacar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jBiniciarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBiniciarActionPerformed
        ((Tela) jPtela).iniciaJogo();
        
        // dando foco na area do jogo
        this.jPtela.requestFocus();
    }//GEN-LAST:event_jBiniciarActionPerformed

    private void jTFpontosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTFpontosActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTFpontosActionPerformed

    private void jTFvidasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTFvidasActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTFvidasActionPerformed

  
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new JogoPrincipal().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jBiniciar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    public javax.swing.JProgressBar jPBcombustivel;
    private javax.swing.JPanel jPplacar;
    private javax.swing.JPanel jPtela;
    public javax.swing.JTextField jTFpontos;
    public javax.swing.JTextField jTFvidas;
    // End of variables declaration//GEN-END:variables
}
