package jogo;

import java.awt.Graphics;
import java.awt.Image;
import javax.swing.ImageIcon;

public abstract class Elementos {

    protected Tela jpTela;
    protected Image icone;
    protected String imagemNome;
    protected int posx, posy, altura, largura;
    protected boolean direcao;

    public Elementos(int posx, int posy, String img) {
        this.posx = posx;
        this.posy = posy;
        this.imagemNome = img;
        this.icone = this.carregarImagem(this.imagemNome);
        this.largura = this.icone.getWidth(null);
        this.altura = this.icone.getHeight(null);
        
        this.direcao = true;

    }

    public abstract void atualizarCoord();

    public abstract void desenhar(Graphics g);
    
    public Image carregarImagem(String imagem) {
        ImageIcon iicon = new ImageIcon(this.getClass().getResource("../imagens/" + imagem + ".png"));
        return iicon.getImage();
    }
}